aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Vigier <boklm@mageia.org>2011-03-23 20:47:37 +0000
committerNicolas Vigier <boklm@mageia.org>2011-03-23 20:47:37 +0000
commit2514555f5603b3720038480e3b62cabfa0b3c2e6 (patch)
tree9cba6ef8441724b22903646231c746f8c12460fa
parent9f696bc989ad79ab968b6427290b033ac3a775fa (diff)
downloadrpm-setup-2514555f5603b3720038480e3b62cabfa0b3c2e6.tar
rpm-setup-2514555f5603b3720038480e3b62cabfa0b3c2e6.tar.gz
rpm-setup-2514555f5603b3720038480e3b62cabfa0b3c2e6.tar.bz2
rpm-setup-2514555f5603b3720038480e3b62cabfa0b3c2e6.tar.xz
rpm-setup-2514555f5603b3720038480e3b62cabfa0b3c2e6.zip
add error messages on stderr on pkg-config errors
-rwxr-xr-xpkgconfigdeps.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
index 5db0eba..e7dba2c 100755
--- a/pkgconfigdeps.sh
+++ b/pkgconfigdeps.sh
@@ -23,13 +23,13 @@ case $1 in
esac
done
# Query the dependencies of the package.
- PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-provides $pcfiles 2> /dev/null | while read n r v ; do
+ PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-provides $pcfiles | while read n r v ; do
# We have a dependency. Make a note that we need the pkgconfig
# tool for this package.
test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
- test ${PIPESTATUS[0]} -ne 0 && exit 1
+ test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
# The dependency on the pkgconfig package itself.
;;
-R|--requires)
@@ -40,11 +40,11 @@ case $1 in
PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$(dirname ${filename})
esac
done
- PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-requires ${pcfiles} 2> /dev/null | while read n r v ; do
+ PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-requires ${pcfiles} | while read n r v ; do
test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
- test ${PIPESTATUS[0]} -ne 0 && exit 1
+ test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
;;
esac
exit 0